package cn.iocoder.yudao.module.member.controller.admin.excelImport.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

/**
 * @author zt
 * @description <description class purpose>
 * @since 2024/11/5
 */

@ExcelIgnoreUnannotated
public class GoodsExcel {

    /**
     * 用名字去匹配，这里需要注意，如果名字重复，会导致只有一个字段读取到数据
     */
    @ExcelProperty(index = 0)
    public String category;

    @ExcelProperty(index = 1)
    public String goodsName;

    @ExcelProperty( index = 2)
    public Double price;


    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }
}
